net.corda.core.crypto

## Class DigitalSignature.WithKey

- net.corda.core.serialization.OpaqueBytes
- - net.corda.core.crypto.DigitalSignature
  - - net.corda.core.crypto.DigitalSignature.WithKey

- Direct Known Subclasses:
    DigitalSignature.LegallyIdentifiable, NullSignature
  Enclosing class:
    DigitalSignature

      public static class DigitalSignature.WithKey
      extends DigitalSignature

  A digital signature that identifies who the public key is owned by.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.core.crypto.DigitalSignature

      `DigitalSignature.LegallyIdentifiable, DigitalSignature.WithKey`

    - ### Nested classes/interfaces inherited from class net.corda.core.serialization.OpaqueBytes

      `OpaqueBytes.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.core.serialization.OpaqueBytes

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WithKey(java.security.PublicKey by, byte[] bits)` A digital signature that identifies who the public key is owned by.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.PublicKey` | `getBy()`
    `void` | `verifyWithECDSA(byte[] content)`
    `void` | `verifyWithECDSA(OpaqueBytes content)`

    - ### Methods inherited from class net.corda.core.serialization.OpaqueBytes

      `equals, getBytes, getSize, hashCode, open, toString`

- - ### Constructor Detail

    - #### WithKey

          public WithKey(java.security.PublicKey by,
                         byte[] bits)

      A digital signature that identifies who the public key is owned by.

  - ### Method Detail

    - #### verifyWithECDSA

          public void verifyWithECDSA(byte[] content)

    - #### verifyWithECDSA

          public void verifyWithECDSA(OpaqueBytes content)

    - #### getBy

          public java.security.PublicKey getBy()